This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 446139 - Unable to clear filename from file upload form fields
Unable to clear filename from file upload form fields
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 19:13 EDT by Daniel Berrange
Modified: 2010-06-14 14:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:22:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2008-05-12 19:13:03 EDT
Description of problem:
The new firefox has decided that the text field part of file upload fields is to
be read only and the only way to enter a file is via the file dialog popup. This
means there is no way to clear a file upload field having selected a file

For example, when entering a bug I picked a file to upload as an attachment, but
then decided I didn't want to upload it. There is no way to clear the file
upload file from the bug form, forcing me to completely reload the page and
starting from scratch. 

Version-Release number of selected component (if applicable):
firefox-3.0-0.60.beta5.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Goto https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora
2. Select a file for the 'File to attach' form field 
3. Try to unselect/clear the filename from the form field
  
Actual results:
Can't clear the filename

Expected results:
Be able to clear the filename

Additional info:
Comment 1 Martin Stransky 2008-12-12 06:06:48 EST
You're right...taking this one.
Comment 2 Bug Zapper 2009-06-09 20:44:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 14:22:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Trevin Beattie 2010-06-14 14:03:26 EDT
Bug still exists in firefox-3.5.9-2.fc12.

Reporter: please re-open this bug for Fedora 12.

Note You need to log in before you can comment on or make changes to this bug.